<?php

namespace Myvetshop\Module\Clinique\Generated\Jane\Model;

class OrdersGetResponse200ItemRefundsItem extends \ArrayObject
{
    /**
     * @var array
     */
    protected $initialized = [];

    public function isInitialized($property): bool
    {
        return array_key_exists($property, $this->initialized);
    }
    /**
     * @var string
     */
    protected $totalProductsTaxExcl;
    /**
     * @var string
     */
    protected $totalProductsTaxIncl;
    /**
     * @var string
     */
    protected $totalShippingTaxExcl;
    /**
     * @var string
     */
    protected $totalShippingTaxIncl;

    /**
     * @return string
     */
    public function getTotalProductsTaxExcl(): string
    {
        return $this->totalProductsTaxExcl;
    }

    /**
     * @param string $totalProductsTaxExcl
     *
     * @return self
     */
    public function setTotalProductsTaxExcl(string $totalProductsTaxExcl): self
    {
        $this->initialized['totalProductsTaxExcl'] = true;
        $this->totalProductsTaxExcl = $totalProductsTaxExcl;

        return $this;
    }

    /**
     * @return string
     */
    public function getTotalProductsTaxIncl(): string
    {
        return $this->totalProductsTaxIncl;
    }

    /**
     * @param string $totalProductsTaxIncl
     *
     * @return self
     */
    public function setTotalProductsTaxIncl(string $totalProductsTaxIncl): self
    {
        $this->initialized['totalProductsTaxIncl'] = true;
        $this->totalProductsTaxIncl = $totalProductsTaxIncl;

        return $this;
    }

    /**
     * @return string
     */
    public function getTotalShippingTaxExcl(): string
    {
        return $this->totalShippingTaxExcl;
    }

    /**
     * @param string $totalShippingTaxExcl
     *
     * @return self
     */
    public function setTotalShippingTaxExcl(string $totalShippingTaxExcl): self
    {
        $this->initialized['totalShippingTaxExcl'] = true;
        $this->totalShippingTaxExcl = $totalShippingTaxExcl;

        return $this;
    }

    /**
     * @return string
     */
    public function getTotalShippingTaxIncl(): string
    {
        return $this->totalShippingTaxIncl;
    }

    /**
     * @param string $totalShippingTaxIncl
     *
     * @return self
     */
    public function setTotalShippingTaxIncl(string $totalShippingTaxIncl): self
    {
        $this->initialized['totalShippingTaxIncl'] = true;
        $this->totalShippingTaxIncl = $totalShippingTaxIncl;

        return $this;
    }
}
